--------------------------------------------------------------------------------------
-- KUJU / Rail Simulator
--------------------------------------------------------------------------------------
-- INITIALISE

function Initialise ()

	-- All emitters are active by default so trun off whistle smoke
	Call( "Whistle Smoke:SetEmitterActive", 0 );

end

------------------------------------------------------------
-- OnControlValueChange
------------------------------------------------------------
-- Called when a cab control is modified
------------------------------------------------------------
-- Parameters:
--	name	= Name of the control
--	index	= Index of the control
--	value	= Modified control value
------------------------------------------------------------

function OnControlValueChange ( name, index, value )

	if Call( "*:ControlExists", name, index ) then

		Call( "*:SetControlValue", name, index, value );

	end
	
	if name == "Horn" then
	
		if value > 0 then
			Call( "Whistle Smoke:SetEmitterActive", 1 );
		else
			Call( "Whistle Smoke:SetEmitterActive", 0 );
		end
	
	end

end

